@font-face {
  font-family: 'cm';
  src: 
       url('fonts/cmunorm.otf');
}


@font-face {
  font-family: 'cmi';
  src: 
       url('fonts/cmunoti.otf');
}

@font-face {
  font-family: 'cmono';
  src: 
       url('fonts/cmunbtl.otf');
}

nav ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
*{
	box-sizing: border-box;
}


/*.toc{
	display: none;
}*/


.toc li{
	/*letter-spacing: 2px;
	transform:rotateY(45deg)*/
}
.toc li a{
	color: blue;
	
}
.numero{
	height: 50px;
	margin:0 auto;
}
body {
	font-size: 20px;
	font-family: 'cm';
	line-height: 1.3;
	margin: 0;
	display: grid;
	grid-template-columns: 20% auto;
	
	
	background-color: #F0F0F0;
	
}
a[title="metapost"]{
	position: relative;
}

a[title="metapost"]:hover::after {
  content: '';
  background: url("donald.jpeg");
  background-repeat: no-repeat;
  background-size:contain;

  

  width: 200px;
  position: absolute;
 height: 300px;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  z-index: 10;
}

body > section {
	grid-column: 2;
	

	padding: 1rem 1rem 1rem 1.5rem;

	box-sizing: border-box;
	font-size: 1.85rem;



}

body > section section.content {
	box-sizing: border-box;
	/*background:white;*/
}
section p {
	margin: 0;
}

h1, h2, h3, h4 {
	
	font-weight: normal;
	margin: 0;
	padding-left: 1em;
	/*transform: rotateY(45deg);*/
	display: inline-block;
}

h1, h2 {
	
	/*text-transform: uppercase;
	background: lightgreen;*/
}

section h2{
	font-size: 2.5rem;
}

section ul{
	margin: 0;
	margin-top: 1rem;
}

section ul ul{
	margin-top: 0rem;
}

h3 {
	/*background: lightPink;*/
}



section.toc a{
	color: white;
	text-decoration: none;

}

a {
	color: black;
	text-decoration: none;
}

li.active > li{
	display: block;
}

ul.toc{
	display: none;
}
nav {
	position: fixed;
	top: 0;
	left: 0;
	width: 20%;
	
	/*width: 100%;
	
	left: 0rem;
	top: 0rem;
	z-index: 10;*/
padding: 1rem;
	/*background-color:hotpink;*/
}

nav * {
	display: block;
}
nav #lion{
	position: fixed;
	bottom: 1;
	left: 1;
	width: 60px;
	z-index: 1000;
}

nav #header_img svg{
width: 100%;
height: 100%;
	
}

nav #header_img svg:hover #doc2, nav #header_img svg:hover #fleche2{
opacity: 1;
	
}


nav #header_img svg:hover #fleche1{
opacity: 0;
	
}
nav pre{
	margin:0;
}
nav > a{
	/*display: inline-block;*/
}
nav > a::after{

/*content: 'documentation';
 font-size: 0.85rem;
   width: 28%;
    display: inline-block;
   color: blue;
    overflow: hidden;
    word-break: break-all;
    text-align: center;
   
    position: absolute;
   right:10%;
   top: 0;
    letter-spacing: 2px;
    transform: rotateY(45deg);
    background-color: lightPink;*/
}

nav::after{
/*	    content: '— — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — —';
    width: calc(100vh - 2rem);
    transform: rotate(90deg);
    transform-origin: left;
    display: block;
    height: 1rem;
    position: absolute;
    left: 100%;
    top: 0;
    overflow: hidden;
    word-break: break-all;*/
}

nav li{
	/*border: 1px solid black;*/
	display: inline-block;
	
	

}

nav > ul > li:first-of-type{
	
	padding: 0.1rem;
}

nav > ul > li:first-of-type:hover{
	background-color:lightpink;
}
nav > ul.active > li:first-of-type{
	background-color:lightpink;
	font-family: 'cmi';
}
nav > ul.active > li:first-of-type a:after{
	content: '/';
	display: inline;
}

li.toc{
	
	display: none;
}

.active li.toc{
	/*display: block;*/
}
section {
	
}

section img {
	width: 80%;
	margin: 1rem auto;
	/*outline: 1em solid black;*/
}

section img + em{
	font-size: 0.85rem;
	color: blue;
	font-style: normal;
	letter-spacing: 1px;
}

footer {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
}

section pre {
	width: 100%;
	background-color: white;
	
	/*background: #F3F3F3;*/
}

code {
	color: blue;
	background-color: white;
	font-family: 'cmono', monospace;
	font-size: 1.85rem;
	border: 0px;

	/*outline: 1px solid blue;*/
	
}

p + h2, ul + h2{
	margin-top: 2rem;
}

section  p + p{
	margin-top: 1rem;
}

img[alt="numero"]{width: 2rem; display: inline; margin: 0; line-height: 0; vertical-align: sub;}

#schema{
	position: relative;
	margin-top: -94px;
    margin-bottom: -170px;

}

#schema svg{
	width: 100%;
	height: 100%;
}




#schema .schema_caption{
	font-size: 0.5rem;
}

/*#schema .schema_caption#global{
	top: 2%;
    left: 60%;
}

#schema .schema_caption#def{
	top: 10%;
    left: 60%;
}

#schema .schema_caption#glyph{
	top: 30%;
    left: 60%;
}*/

section a{
	text-decoration: underline;
	color:inherit;
	text-underline-offset: 0.2rem;
}

section a:hover{
	text-decoration: none;
	
}

li ul{
	margin-bottom: 1rem;
}

#global_text{
	visibility: hidden;
}

#global:hover ~ #global_text{
	visibility: visible;

}

#global:hover path, #def:hover path, #lettres:hover path{
	fill: lightpink!important;
}



